



IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[_registroDetalleLiquidacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[_registroDetalleLiquidacion]
GO
CREATE procedure [dbo].[_registroDetalleLiquidacion]	
@p_equipo as INT = 0
,@p_catalogo as INT = 0
,@p_documento as INT = 0
,@p_tipoaccion as INT = 0
,@p_cantidad as float = 0.0
,@p_inicio as smalldatetime=null
,@p_fin as smalldatetime=null
as begin

declare @mensaje as varchar(MAX)
declare @equipo as varchar(MAX)
declare @catalogo as varchar(MAX)
declare @documento as varchar(MAX)
if @p_documento>0--cuando hay documento 
begin
set @documento=(select prefijo +'-'+ CAST(documento_numero as varchar(100)  ) from doc_documento where id=@p_documento)
end
if @p_catalogo>0--cuando hay catalogo
begin
set @catalogo=(select catalogo +' '+ codigoinventario from cat_catalogo  where id=@p_catalogo)
end

if @p_equipo>0--cuando el mensaje es para insertar un no serializado
begin
set @equipo =(select  equipo_serial  +' '+equipo from equ_equipo  where id=@p_equipo)
end

if @p_tipoaccion =1-- si es equipo
begin
select  'Equipo Alquilado - ' + @equipo + ' entre '+ isnull(CONVERT(varchar(100),@p_inicio,103),'') +' y '+ isnull(CONVERT(varchar(100),@p_fin,103),'') +' '+ isnull(@documento,'') as mensaje
end 
if @p_tipoaccion =2-- si es repuesto
begin
select  'Repuesto Alquilado - ' + @catalogo + ' entre '+  isnull(CONVERT(varchar(100),@p_inicio,103),'') +' y '+ isnull(CONVERT(varchar(100),@p_fin,103),'') +' '+ isnull(@documento,'') as mensaje
end 
if @p_tipoaccion =3-- si es adicional
begin
select   @catalogo +' - ' + ISNULL (@documento,'') +' - '+  isnull(CONVERT(varchar(100),@p_inicio,103),'') as mensaje
end 


end
